function init()
	gun.name = "Spawner mite"
	gun.shotrange = 700
	
	--release them in bursts of three
	gun.burstNum = 5
	gun.burstDelay = 100
	
	--fire bursts every second or so
	gun.fireDelay = 16000 + math.random(-2000, 1000)
	
	--only do two bursts before a long reload
	--gun.clip = 6
	--gun.reloadDelay = 16000
	
	return 0
end


function update()

	return 0
end


function fire()
	--create a minion
	spawnx = gun.firex + math.random(-10, 10)
	spawny = gun.firey + math.random(-10, 10)
	
	stage.warpShip("Mite", "", spawnx, spawny, gun.owner.faction, "", 50)

	return 0
end

function shot_update()

	return 0
end